@use "src/colors";

#tables {
  display: flex;
  gap: 30px;
  padding: 50px;
  justify-content: space-between;
  flex-basis: 0;

  #left {
    opacity: 0;
    /*transform: translateX(-200px);*/
  }

  #right {
    opacity: 0;
    /*transform: translateX(200px);*/
  }

  div {
    flex: 1 1 0;
    display: flex;
    flex-direction: column;

    h1 {
      text-align: center;
      margin-top: 5px;
      font-size: 25px;
    }

    table {
      width: 100%;
      background: none;
      flex-grow: 1;

      td, th {
        border-bottom-color: rgba(colors.$text, 0.4);
        color: colors.$text;

        &:not(:first-of-type) {
          text-align: center;
        }
      }

      td {
        font-size: 15px;
      }

      th {
        font-size: 17px;
      }

      tr:last-of-type td {
        border-bottom: none;
      }
    }
  }

  @media screen and (max-width: 1200px) {
    display: block;
    padding: 10px;

    div:last-of-type {
      margin-top: 30px;
    }

    th {
      padding: 0;
      text-align: center;

      &:last-of-type {
        padding-right: 10px;
      }
    }
  }

  @media screen and (max-width: 700px) {
    th {
      font-size: 12px !important;
    }

    td {
      font-size: 11px !important;
    }
  }
}

#speaking {
  margin: 50px;
  opacity: 0;
  /*transform: translateY(200px);*/

  h1 {
    font-size: 25px;
    text-align: center;
    margin-top: 10px;
  }

  #lang-wrapper {
    display: flex;
    justify-content: space-around;
    margin-bottom: 10px;

    h2 {
      line-height: 20px;
      text-align: center;

      img {
        height: 17px;
        width: auto;
        margin-right: 5px;
      }
    }

    span {
      display: block;
      text-align: center;
    }

    @media screen and (max-width: 700px) {
      flex-direction: column;
      gap: 30px;
    }
  }

  @media screen and (max-width: 1200px) {
    margin: 50px 10px 10px 10px;
  }
}
